Skip to content
This repository
Newer
Older
100644 42 lines (32 sloc) 0.78 kb
ba57575e » Carl Lerche
2010-02-23 Remove references to ActionDispatch::Routing::Routes in favor of Rail…
1 source 'http://rubygems.org'
9f01dff9 » Carl Lerche
2010-01-31 Get rails tests running on bundler 0.9
2
759eb360 » josevalim
2010-03-25 Actually, bring Arel back to Gemfile and use git repo since it helps …
3 gem "arel", :git => "git://github.com/rails/arel.git"
6690d662 » josevalim
2010-04-05 Rename config.cookie_secret to config.secret_token and pass it as con…
4 gem "rails", :path => File.dirname(__FILE__)
9f01dff9 » Carl Lerche
2010-01-31 Get rails tests running on bundler 0.9
5
6 gem "rake", ">= 0.8.7"
a584b4c1 » jeremy
2009-11-10 Get rack from rails/rack.git. Introduce ci-only deps.
7 gem "mocha", ">= 0.9.8"
8
b144b56d » wycats
2010-03-22 Put MRI-specific dependencies in an MRI group
9 group :mri do
22184930 » jeremy
2010-04-28 Bundle json and yajl-ruby gems for AS::JSON testing
10 gem 'json'
11 gem 'yajl-ruby'
12
b144b56d » wycats
2010-03-22 Put MRI-specific dependencies in an MRI group
13 if RUBY_VERSION < '1.9'
99ce6eb4 » josevalim
2010-03-25 Remove Arel's git repo from Gemfile and use system_timer just on 1.8.x
14 gem "system_timer"
b144b56d » wycats
2010-03-22 Put MRI-specific dependencies in an MRI group
15 gem "ruby-debug", ">= 0.10.3"
a1a35201 » jeremy
2010-04-02 CI: omit ruby-debug19 from Gemfile since the ruby source dep hoses pe…
16 elsif RUBY_VERSION < '1.9.2' && !ENV['CI']
4ea289fb » spastorino
2010-03-29 ruby-debug19 added to Gemfile [#4290 state:committed]
17 gem "ruby-debug19"
b144b56d » wycats
2010-03-22 Put MRI-specific dependencies in an MRI group
18 end
4f6d6f70 » Yehuda Katz + Carl Lerche
2009-10-20 Have all the tests running off a single Gemfile
19 end
a584b4c1 » jeremy
2009-11-10 Get rack from rails/rack.git. Introduce ci-only deps.
20
21 # AR
6154278d » jeremy
2010-02-04 Fix broken autorequires
22 gem "sqlite3-ruby", ">= 1.2.5", :require => 'sqlite3'
7789663a » Yehuda Katz
2009-12-31 Put MySQL and Postgres in an :only block so you can gem bundle --only…
23
3bd85e27 » spastorino
2010-03-22 db group makes more sense here
24 group :db do
8b5b2413 » jeremy
2010-03-01 Bump pg dep to 0.9.0+
25 gem "pg", ">= 0.9.0"
7789663a » Yehuda Katz
2009-12-31 Put MySQL and Postgres in an :only block so you can gem bundle --only…
26 gem "mysql", ">= 2.8.1"
27 end
a584b4c1 » jeremy
2009-11-10 Get rack from rails/rack.git. Introduce ci-only deps.
28
29 # AP
6154278d » jeremy
2010-02-04 Fix broken autorequires
30 gem "rack-test", "0.5.3", :require => 'rack/test'
a584b4c1 » jeremy
2009-11-10 Get rack from rails/rack.git. Introduce ci-only deps.
31 gem "RedCloth", ">= 4.2.2"
32
2b323b4d » fxn
2010-02-15 adds rdoc dependency to generate the API
33 group :documentation do
34 gem 'rdoc', '2.1'
35 end
36
aef7e214 » jeremy
2009-11-10 Use an env var to expand the CI bundle. Using bundler's 'only' includ…
37 if ENV['CI']
a584b4c1 » jeremy
2009-11-10 Get rack from rails/rack.git. Introduce ci-only deps.
38 gem "nokogiri", ">= 1.4.0"
f14eb686 » jeremy
2009-11-10 CI: bundle test-unit on 1.9
39
40 # fcgi gem doesn't compile on 1.9
2a2d1872 » jeremy
2010-02-11 CI: use minitest on 1.9 again.
41 gem "fcgi", ">= 0.8.7" if RUBY_VERSION < '1.9.0'
a584b4c1 » jeremy
2009-11-10 Get rack from rails/rack.git. Introduce ci-only deps.
42 end
Something went wrong with that request. Please try again.